# Satisfaction

## Estrutura <a href="#estrutura" id="estrutura"></a>

```
[
    {
        "name": "satisfaction",
        "parameters": {
            "score": 5
        },
        "result_variable": "satisfaction_response"
    }
]
```

## Atributos <a href="#atributos" id="atributos"></a>

* **name:** satisfaction
* **parameters:**
  * **score:** 1:ruim à 5:excelente
* **result\_variable:** variável de contexto que receberá o resultado da operação. Em caso de sucesso, essa variável conterá o seguinte JSON:

  ```
  {
    "code": 200,
    "status": "ok"
  }
  ```

## Exemplo <a href="#exemplo" id="exemplo"></a>

```
[
    {
        "name": "satisfaction",
        "parameters": {
            "score": "<? input.text ?>"
        },
        "result_variable": "satisfaction_response"
    }
]
```

No exemplo acima, a satisfação será salva pegando o input do usuário. Esse dado de entrada pode ter vindo de um [`feedback_nps`](https://features/builder/input/nps_feedback.md), como visto abaixo:

```
{
    "default": {
        "type": "feedback_nps",
        "payload": {
            "pick": "Poderia classificar o atendimento deste canal?",
            "btn_label": "CONFIRMAR"
        }
    }
}
```

[<br>](https://docs.altu.com.br/pilares/build/assistentes/componentes/actions/intent_feedback)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altu.d1.cx/build/assistentes/builder/componentes/actions/satisfaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
